## GimpPreviewArea GimpPreviewArea |

## Functions

GtkWidget * | gimp_preview_area_new ()
void | gimp_preview_area_draw ()
void | gimp_preview_area_fill ()
void | gimp_preview_area_blend ()
void | gimp_preview_area_mask ()
void | gimp_preview_area_set_offsets ()
void | gimp_preview_area_set_colormap ()
void | gimp_preview_area_set_max_size ()
void | gimp_preview_area_menu_popup ()

## Properties

GimpCheckSize | check-size | Read / Write
GimpCheckType | check-type | Read / Write

## Types and Values

| GimpPreviewArea

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ╰── GimpPreviewArea

## Implemented Interfaces

GimpPreviewArea implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gimp_preview_area_new ()

    GtkWidget *
    gimp_preview_area_new (void);

### gimp_preview_area_draw ()

    void
    gimp_preview_area_draw (GimpPreviewArea *area,
                            gint x,
                            gint y,
                            gint width,
                            gint height,
                            GimpImageType type,
                            const guchar *buf,
                            gint rowstride);

### gimp_preview_area_fill ()

    void
    gimp_preview_area_fill (GimpPreviewArea *area,
                            gint x,
                            gint y,
                            gint width,
                            gint height,
                            guchar red,
                            guchar green,
                            guchar blue);

### gimp_preview_area_blend ()

    void
    gimp_preview_area_blend (GimpPreviewArea *area,
                             gint x,
                             gint y,
                             gint width,
                             gint height,
                             GimpImageType type,
                             const guchar *buf1,
                             gint rowstride1,
                             const guchar *buf2,
                             gint rowstride2,
                             guchar opacity);

### gimp_preview_area_mask ()

    void
    gimp_preview_area_mask (GimpPreviewArea *area,
                            gint x,
                            gint y,
                            gint width,
                            gint height,
                            GimpImageType type,
                            const guchar *buf1,
                            gint rowstride1,
                            const guchar *buf2,
                            gint rowstride2,
                            const guchar *mask,
                            gint rowstride_mask);

### gimp_preview_area_set_offsets ()

    void
    gimp_preview_area_set_offsets (GimpPreviewArea *area,
                                   gint x,
                                   gint y);

Since: GIMP 2.2

### gimp_preview_area_set_colormap ()

    void
    gimp_preview_area_set_colormap (GimpPreviewArea *area,
                                    const guchar *colormap,
                                    gint num_colors);

### gimp_preview_area_set_max_size ()

    void
    gimp_preview_area_set_max_size (GimpPreviewArea *area,
                                    gint width,
                                    gint height);

Since: GIMP 2.2

### gimp_preview_area_menu_popup ()

    void
    gimp_preview_area_menu_popup (GimpPreviewArea *area,
                                  GdkEventButton *event);

Since: GIMP 2.2

## Types and Values

### GimpPreviewArea

    typedef struct _GimpPreviewArea GimpPreviewArea;

## Property Details

### The `“check-size”` property

      “check-size”               GimpCheckSize

Flags: Read / Write

Default value: GIMP_CHECK_SIZE_MEDIUM_CHECKS

### The `“check-type”` property

      “check-type”               GimpCheckType

Flags: Read / Write

Default value: GIMP_CHECK_TYPE_GRAY_CHECKS